#############################################################################
#!
#! This is a tmake template for building Win32 libraries.
#!
#${
    if ( Config("warn_off") ) {
	Project('TMAKE_CFLAGS += $$TMAKE_CFLAGS_WARN_OFF' );
    } elsif ( Config("warn_on") ) {
	Project('TMAKE_CFLAGS += $$TMAKE_CFLAGS_WARN_ON' );
    }
    if ( Config("debug") ) {
	Project('TMAKE_CFLAGS += $$TMAKE_CFLAGS_DEBUG');
	Project('TMAKE_LFLAGS += $$TMAKE_LFLAGS_DEBUG');
    } elsif ( Config("release") ) {
	Project('TMAKE_CFLAGS += $$TMAKE_CFLAGS_RELEASE' );
	Project('TMAKE_LFLAGS += $$TMAKE_LFLAGS_RELEASE');
    }
    if ( Config("qt") || Config("opengl") ) {
	Project('CONFIG += windows' );
    }
    if ( Config("qt") ) {
	$moc_aware = 1;
	AddIncludePath(Project('TMAKE_INCDIR_QT'));
	if ( Config("opengl") ) {
	    Project('TMAKE_LIBS *= $$TMAKE_LIBS_QT_OPENGL');
	}
	Project('TMAKE_LIBS *= $$TMAKE_LIBS_QT');
    }
    if ( Config("opengl") ) {
	Project('TMAKE_LIBS *= $$TMAKE_LIBS_OPENGL');
    }
    if ( Config("windows") ) {
	Project('TMAKE_LFLAGS *= $$TMAKE_LFLAGS_WINDOWS');
	Project('TMAKE_LIBS   *= $$TMAKE_LIBS_WINDOWS');
    } else {
	Project('TMAKE_LFLAGS *= $$TMAKE_LFLAGS_CONSOLE');
	Project('TMAKE_LIBS   *= $$TMAKE_LIBS_CONSOLE');
    }
    Project('TMAKE_LIBS += $$LIBS');
    $obj_ext  = "o";
    $dir_sep  = "/";
    $gnuwin32 = 1;
    if ( Config("qt") ) {
	$qtdir = $ENV{"QTDIR"};
	$project{"INCPATH"} =~ s/\$\(QTDIR\)/$qtdir/;
	$project{"INCPATH"} =~ s/\\/\//g;
    }
    Project('TMAKE_FILETAGS = HEADERS SOURCES TARGET DESTDIR $$FILETAGS');
    StdInit();
#$}
#!
# Makefile for building #$ Expand("TARGET")
# Generated by tmake at #$ Now();
#     Project: #$ Expand("PROJECT");
#    Template: #$ Expand("TEMPLATE");
#############################################################################

####### Compiler, tools and options

CC	=	#$ Expand("TMAKE_CC");
CFLAGS	=	#$ Expand("TMAKE_CFLAGS"); ExpandGlue("DEFINES","-D"," -D","");
INCPATH	=	#$ ExpandGlue("INCPATH","-I"," -I","");
MOC	=	#$ Expand("TMAKE_MOC");
AR	=	#$ Expand("TMAKE_AR");
RANLIB	=	#$ Expand("TMAKE_RANLIB");

####### Files

HEADERS =	#$ ExpandList("HEADERS");
SOURCES =	#$ ExpandList("SOURCES");
OBJECTS =	#$ ExpandList("OBJECTS");
SRCMOC	=	#$ ExpandList("SRCMOC");
OBJMOC	=	#$ ExpandList("OBJMOC");
TARGET	=	#$ ExpandGlue("TARGET","lib","",".a");

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .c

.cpp.o:
	#$ Expand("TMAKE_COMPILE_IMP");

.cxx.o:
	#$ Expand("TMAKE_COMPILE_IMP");

.cc.o:
	#$ Expand("TMAKE_COMPILE_IMP");

.c.o:
	#$ Expand("TMAKE_COMPILE_IMP");

####### Build rules

all: $(TARGET) #$ Expand("ALL_DEPS");

$(TARGET): $(OBJECTS) $(OBJMOC)
	-rm -f $(TARGET)
	$(AR) $(TARGET) $(OBJECTS) $(OBJMOC)
	#$ ExpandGlue("TMAKE_RANLIB","",""," \$(TARGET)");
	#$ ExpandGlue("DESTDIR","-mv \$(TARGET) ","","");

moc: $(SRCMOC)

#$ TmakeSelf();

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	#$ ExpandGlue("TMAKE_CLEAN","-rm -f "," ","");
	-rm -f *~ core
	#$ ExpandGlue("CLEAN_FILES","-rm -f "," ","");

####### Compile

#$ BuildObj(Project("OBJECTS"),Project("SOURCES"));
#$ BuildMocObj(Project("OBJMOC"),Project("SRCMOC"));
#$ BuildMocSrc(Project("HEADERS"));
#$ BuildMocSrc(Project("SOURCES"));
